SDL_mirwindow.h File Reference
`#include "../SDL_sysvideo.h"`
`#include "SDL_syswm.h"`
`#include "SDL_mirvideo.h"`
Include dependency graph for SDL_mirwindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | MIR_Window

## Functions

int | MIR_CreateWindow (_THIS, SDL_Window *window)
void | MIR_DestroyWindow (_THIS, SDL_Window *window)
void | MIR_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
void | MIR_MaximizeWindow (_THIS, SDL_Window *window)
void | MIR_MinimizeWindow (_THIS, SDL_Window *window)
void | MIR_RestoreWindow (_THIS, SDL_Window *window)
void | MIR_HideWindow (_THIS, SDL_Window *window)
SDL_bool | MIR_GetWindowWMInfo (_THIS, SDL_Window *window, SDL_SysWMinfo *info)
void | MIR_SetWindowSize (_THIS, SDL_Window *window)
void | MIR_SetWindowMinimumSize (_THIS, SDL_Window *window)
void | MIR_SetWindowMaximumSize (_THIS, SDL_Window *window)
void | MIR_SetWindowTitle (_THIS, SDL_Window *window)
void | MIR_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
int | MIR_SetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 const *ramp)
int | MIR_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)

## Function Documentation

## MIR_CreateWindow()

int MIR_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_DestroyWindow()

void MIR_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_GetWindowGammaRamp()

int MIR_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

## MIR_GetWindowWMInfo()

SDL_bool MIR_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_SysWMinfo * | info
| ) |  |

## MIR_HideWindow()

void MIR_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_MaximizeWindow()

void MIR_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_MinimizeWindow()

void MIR_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_RestoreWindow()

void MIR_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_SetWindowFullscreen()

void MIR_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## MIR_SetWindowGammaRamp()

int MIR_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 const * | ramp
| ) |  |

## MIR_SetWindowGrab()

void MIR_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## MIR_SetWindowMaximumSize()

void MIR_SetWindowMaximumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_SetWindowMinimumSize()

void MIR_SetWindowMinimumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_SetWindowSize()

void MIR_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## MIR_SetWindowTitle()

void MIR_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |